#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 one-liner
version:              1.0
visibility:           public
id:                   one-liner-1.0-LtQiNcuDJTQ65rw5JnJ78U
key:                  one-liner-1.0-LtQiNcuDJTQ65rw5JnJ78U
license:              BSD-3-Clause
maintainer:           sjoerd@w3future.com
author:               Sjoerd Visscher, Xia Li-yao
homepage:             https://github.com/sjoerdvisscher/one-liner
synopsis:             Constraint-based generics
description:
    Write short and concise generic instances of type classes.
    one-liner is particularly useful for writing default
    implementations of type class methods.

category:             Generics
abi:                  1e5282db8b3dd53339950a922d317d05
exposed:              True
exposed-modules:
    Generics.OneLiner Generics.OneLiner.Binary
    Generics.OneLiner.Classes Generics.OneLiner.Internal
    Generics.OneLiner.Internal.Unary

import-dirs:          /usr/lib/ghc-8.8.3/site-local/one-liner-1.0
library-dirs:         /usr/lib/ghc-8.8.3/site-local/one-liner-1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.3/one-liner-1.0
hs-libraries:         HSone-liner-1.0-LtQiNcuDJTQ65rw5JnJ78U
depends:
    base-4.13.0.0 bifunctors-5.5.7-IHgSaE2pbhHDFRhx6MggSh
    contravariant-1.5.2-DwdzLJHM56h4vdKMLDlSPX ghc-prim-0.5.3
    profunctors-5.5.2-JvdcwyZuOgaJtd0SFvdQjZ
    tagged-0.8.6-LfhHZ57rMjK9JkdnSRh9cF transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-one-liner/html/one-liner.haddock
haddock-html:         /usr/share/doc/haskell-one-liner/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

